using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

namespace Assets.Scripts
{
    internal class ControlsManager : MonoBehaviour
    {
        public static Controls Controls;

        public void Awake()
        {
            if (Controls == null)
                Controls = new Controls();
            else
                Destroy(this);

            Controls.Enable();
        }

        public void Update()
        {
            Debug.Log(Controls.LeftHand.WeaponSelect.WasPressedThisFrame());
        }
    }
}